#pragma once

#include "search_config_builder.h"

class TSearchConfigBuilderBase : public TSearchConfigBuilder {
public:
    TSearchConfigBuilderBase(const TRTYServerConfig& config);
    TAutoPtr<TSearchConfig> GetSearchConfig(const TPathName& dir, bool hasSearcher) const;
};
